=head1 NAME

Gnome2::Canvas::PathDef - wrapper for GnomeCanvasPathDef

=cut

=head1 HIERARCHY

  Glib::Boxed
  +----Gnome2::Canvas::PathDef



=cut


=head1 METHODS

=head2 pathdef = Gnome2::Canvas::PathDef-E<gt>B<new> 

=head2 pathdef = Gnome2::Canvas::PathDef-E<gt>B<new_sized> ($length)

=over

=item * $length (integer) 

=back

=head2 boolean = $path-E<gt>B<all_closed> 

=head2 boolean = $path-E<gt>B<all_open> 

=head2 boolean = $path-E<gt>B<any_closed> 

=head2 boolean = $path-E<gt>B<any_open> 

=head2 pathdef = $path-E<gt>B<close_all> 

=head2 pathdef = $path-E<gt>B<closed_parts> 

=head2 $path-E<gt>B<closepath> 

=head2 $path-E<gt>B<closepath_current> 

=head2 pathdef = Gnome2::Canvas::PathDef-E<gt>B<concat> (...)

=over

=item * ... (list) Gnome2::Canvas::PathDef objects to concatenate

=back



=head2 $dst-E<gt>B<copy> ($src)

=over

=item * $src (Gnome2::Canvas::PathDef) 

=back

Copy the path from I<$src> into I<$dst>.

Note: this method has very different semantics than the copy provided
by Glib::Boxed.   C<duplicate> is the analog there.

=head2 $path-E<gt>B<curveto> ($x0, $y0, $x1, $y1, $x2, $y2)

=over

=item * $x0 (double) 

=item * $y0 (double) 

=item * $x1 (double) 

=item * $y1 (double) 

=item * $x2 (double) 

=item * $y2 (double) 

=back

=head2 pathdef = $path-E<gt>B<duplicate> 

=head2 $path-E<gt>B<ensure_space> ($space)

=over

=item * $space (integer) 

=back

=head2 $path-E<gt>B<finish> 

=head2 boolean = $path-E<gt>B<has_currentpoint> 

=head2 boolean = $path-E<gt>B<is_empty> 

=head2 integer = $path-E<gt>B<length> 

=head2 $path-E<gt>B<lineto> ($x, $y)

=over

=item * $x (double) 

=item * $y (double) 

=back

=head2 $path-E<gt>B<lineto_moving> ($x, $y)

=over

=item * $x (double) 

=item * $y (double) 

=back

=head2 $path-E<gt>B<moveto> ($x, $y)

=over

=item * $x (double) 

=item * $y (double) 

=back

=head2 pathdef = $path-E<gt>B<open_parts> 

=head2 $path-E<gt>B<reset> 

=head2 @pathdefs = $path->B<split>





=cut


=head1 SEE ALSO

L<Gnome2::Canvas>, L<Glib::Boxed>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2004 by the Gtk2-Perl Team.

This software is licensed under the LGPL; see L<Gnome2::Canvas> for a full notice.


=cut

